.. _protocols:

Protocol Bindings
=================

Currently the API of the following protocols only works with a JSON representation of the data. In the future additional
representations could be supported such as base64 to handle images/video or plain bytes to return
raw data.

.. toctree::

    http
    mqtt
    coap
    websockets
    zenoh